This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 495750 - RFE: yum needs to store/track summary/description translation for installed pkgs.
RFE: yum needs to store/track summary/description translation for installed p...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: specspo (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 11:56 EDT by Petr Šplíchal
Modified: 2016-05-31 21:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 495748
Environment:
Last Closed: 2009-12-18 04:15:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2009-04-14 11:56:36 EDT
+++ This bug was initially created as a clone of Bug #495748 +++

Description of problem:

When running yum in different locale settings the messages are not
fully converted to current locale. For example "yum info python"
displays "summary" heading in english while the actual summary
text in current locale. The exactly opposite behavior can be
observed on current Fedora 10 (heading in local language but the
actual content in english).

Steps to Reproduce:
for lang in en_US de_DE pl_PL; do
    echo -e "\n\n$lang\n~~~~~~"
    LANG=$lang.UTF-8 yum info python | head -10
done

  
Actual results on RHEL5:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
yum-3.2.19-18.el5
python-2.4.3-24.el5

en_US
~~~~~~
Installed Packages
Name       : python
Arch       : x86_64
Version    : 2.4.3
Release    : 24.el5
Size       : 21 M
Repo       : installed
Summary    : An interpreted, interactive, object-oriented programming language.
URL        : http://www.python.org/


de_DE
~~~~~~
Installed Packages
Name       : python
Arch       : x86_64
Version    : 2.4.3
Release    : 24.el5
Size       : 21 M
Repo       : installed
Summary    : Eine interpretierte, interaktive,
           : objektorientierteProgrammiersprache.

pl_PL
~~~~~~
Installed Packages
Name       : python
Arch       : x86_64
Version    : 2.4.3
Release    : 24.el5
Size       : 21 M
Repo       : installed
Summary    : Interpretowany, interaktywny, obiektowy język programowania.
URL        : http://www.python.org/


Actual results on Fedora 10:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
yum-3.2.21-2.fc10.noarch
python-2.5.2-1.fc10.i386

en_US
~~~~~~
Loaded plugins: refresh-packagekit
Installed Packages
Name       : python
Arch       : i386
Version    : 2.5.2
Release    : 1.fc10
Size       : 16 M
Repo       : installed
Summary    : An interpreted, interactive, object-oriented programming language.
URL        : http://www.python.org/


de_DE
~~~~~~
Geladene Plugins: refresh-packagekit
Installierte Pakete
Name       : python
Architektur : i386
Version    : 2.5.2
Ausgabe    : 1.fc10
Grösse     : 16 M
Repo       : installed
Zusammenfassung    : An interpreted, interactive, object-oriented programming
                   : language.


pl_PL
~~~~~~
Wczytane wtyczki: refresh-packagekit
Zainstalowane pakiety
Nazwa              : python
Architektura       : i386
Wersja             : 2.5.2
Wydanie            : 1.fc10
Rozmiar            : 16 M
Repozytorium       : installed
Podsumowanie       : An interpreted, interactive, object-oriented programming
                   : language.


Expected results:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Both headings and the actual content should be displayed in the
current locale. The indentation should match the longest heading
(and should be the same for all items; too long for PL and varying
in the DE locale in the example above).

Checked /usr/share/locale/*/LC_MESSAGES/yum.mo for presence of
corresponding strings.
Comment 1 seth vidal 2009-04-14 12:05:09 EDT
reassigning to specspo
Comment 2 Bug Zapper 2009-11-18 06:43:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:15:03 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Petr Šplíchal 2009-12-18 04:54:51 EST
This issue is still present in the current yum on Fedora 12:
yum-3.2.25-1.fc12.noarch

    # LANG=de_DE.UTF-8 yum info python
    Geladene Plugins: presto, refresh-packagekit
    Installierte Pakete
    Name       : python
    Architektur : i686
    Version    : 2.6.2
    Ausgabe    : 2.fc12
    Grösse     : 19 M
    Repo       : installed
    Aus repo    : anaconda-InstallationRepo-200911081854.i386
    Zusammenfassung    : An interpreted, interactive,
    object-oriented programming language

The last line should be:

    Zusammenfassung: Eine interpretierte, interaktive,
    objektorientierteProgrammiersprache.
Comment 5 Bug Zapper 2010-11-04 07:20:59 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Petr Šplíchal 2012-03-27 09:14:52 EDT
Tested on Fedora 16 with exactly the same results (summary content
still not localized, description in English for all languages).

# rpm -q yum specspo
yum-3.4.3-7.fc16.noarch
specspo-16-4.noarch

en_US
~~~~~~
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
Name        : python
Arch        : x86_64
Version     : 2.7.2
Release     : 5.2.fc16
Size        : 76 k
Repo        : installed
From repo   : anaconda-0
Summary     : An interpreted, interactive, object-oriented programming language


de_DE
~~~~~~
Geladene Plugins: langpacks, presto, refresh-packagekit
Installierte Pakete
Name       : python
Architektur : x86_64
Version    : 2.7.2
Ausgabe    : 5.2.fc16
Größe : 76 k
Repo        : installed
Aus repo    : anaconda-0
Zusammenfassung     : An interpreted, interactive, object-oriented programming


pl_PL
~~~~~~
Wczytane wtyczki: langpacks, presto, refresh-packagekit
Zainstalowane pakiety
Nazwa              : python
Architektura       : x86_64
Wersja             : 2.7.2
Wydanie            : 5.2.fc16
Rozmiar            : 76 k
Repozytorium       : installed
Z repozytorium     : anaconda-0
Podsumowanie       : An interpreted, interactive, object-oriented programming

Note You need to log in before you can comment on or make changes to this bug.